﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace AxisSample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

    }

    public class Model
    {
        public double XAxisValues { get; set; }

        public double UniversalInputOpen { get; set; }
        public double PressureOutPutOneOpen { get; set; }
        public double PressureOutPutTwoOpen { get; set; }
        public double SupplyPressureOpen { get; set; }
        public double UniversalInputClose { get; set; }
        public double PressureOutPutOneClose { get; set; }
        public double PressureOutPutTwoClose { get; set; }
        public double SupplyPressureClose { get; set; }
    }

    public class ViewModel
    {
        public ViewModel()
        {
            DataPoints = new ObservableCollection<Model>();
            DataPoints.Add(new Model()
            {
                XAxisValues = 10,
                UniversalInputOpen = 20,
                UniversalInputClose = 24,
                PressureOutPutOneOpen = 26,
                PressureOutPutOneClose = 28,
                PressureOutPutTwoOpen = 34,
                PressureOutPutTwoClose = 38,
                SupplyPressureOpen = 40,
                SupplyPressureClose = 45
            });
            DataPoints.Add(new Model()
            {
                XAxisValues = 25,
                UniversalInputOpen = 23,
                UniversalInputClose = 28,
                PressureOutPutOneOpen = 30,
                PressureOutPutOneClose = 32,
                PressureOutPutTwoOpen = 38,
                PressureOutPutTwoClose = 40,
                SupplyPressureOpen = 44,
                SupplyPressureClose = 48
            });
            DataPoints.Add(new Model()
            {
                XAxisValues = 45,
                UniversalInputOpen = 28,
                UniversalInputClose = 34,
                PressureOutPutOneOpen = 40,
                PressureOutPutOneClose = 45,
                PressureOutPutTwoOpen = 49,
                PressureOutPutTwoClose = 50,
                SupplyPressureOpen = 54,
                SupplyPressureClose = 55
            });
            DataPoints.Add(new Model()
            {
                XAxisValues = 60,
                UniversalInputOpen = 30,
                UniversalInputClose = 34,
                PressureOutPutOneOpen = 46,
                PressureOutPutOneClose = 48,
                PressureOutPutTwoOpen = 54,
                PressureOutPutTwoClose = 58,
                SupplyPressureOpen = 60,
                SupplyPressureClose = 63
            });
            DataPoints.Add(new Model()
            {
                XAxisValues = 80,
                UniversalInputOpen = 33,
                UniversalInputClose = 37,
                PressureOutPutOneOpen = 48,
                PressureOutPutOneClose = 50,
                PressureOutPutTwoOpen = 59,
                PressureOutPutTwoClose = 68,
                SupplyPressureOpen = 70,
                SupplyPressureClose = 75
            });
        }

        public ObservableCollection<Model> DataPoints { get; set; }
    }
}
